Subject: Re: [PATCH v2 22/50] convert efivarfs

From: Al Viro <[email-masked]>
Date: Wed, 29 Oct 2025 18:08:35 +0000

On Tue, Oct 28, 2025 at 10:34:51PM +0100, Ard Biesheuvel wrote:

> I'll let James respond to the specifics of your suggestion, but I'll
> just note that this code has a rather convoluted history, as we used
> to have two separate pseudo-filesystem drivers, up until a few years
> ago: the sysfs based 'efivars' and this efivarfs driver. Given that
> modifications in one needed to be visible in the other, they shared a
> linked list that shadowed the state of the underlying variable store.
> 'efivars' was removed years ago, but it was only recently that James
> replaced the linked list in this driver with the dentry cache as the
> shadow mechanism.

Hmm...  Another question about that code: is efivar_get_variable()
safe outside of efivar_lock()?